# Generated from pokan-cluster-0.1.10.gem by gem2rpm -*- rpm-spec -*-
%global gem_name pokan-cluster

Name: rubygem-%{gem_name}
Version: 0.1.10
Release: 1%{?dist}
Summary: pokan-cluster is a set of neat, handy functionalities built on top of pokan
License: MIT
URL: http://github.com/rmascarenhas/pokan-cluster
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
pokan-cluster adds a handy set of functionalities on top of pokan,
everyone's
favorite Ruby Gossip protocol implementation. Logging, easy YAML configuration
file, workload information of peers in your network (so that you can write a
simple load balancer) are among the features pokan-cluster has to offer!
Take a look at it and contribute! (see our Github page).


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%{gem_instdir}/pokan.log
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/spec
%{gem_instdir}/test_server.rb

%changelog
* Tue Apr 19 2022 mockbuilder - 0.1.10-1
- Initial package
